Loading...
Searching...
No Matches
pdftron::PDF::WebFontDownloader Class Reference

`#include <WebFontDownloader.h>`

## Static Public Member Functions
static bool | IsAvailable ()
static void | EnableDownloads ()
static void | DisableDownloads ()
static void | PreCacheAsync ()
static void | ClearCache ()
static void | SetCustomWebFontURL (UString url)

## Detailed Description

The class WebFontDownloader. static interface to control the behaviour of PDFNet web font downloading

Definition at line 22 of file WebFontDownloader.h.

## Member Function Documentation

## ◆ ClearCache()

void pdftron::PDF::WebFontDownloader::ClearCache | ( |  | ) |
| static

clear any pre-cached font files residing in persistent storage.

## ◆ DisableDownloads()

void pdftron::PDF::WebFontDownloader::DisableDownloads | ( |  | ) |
| static

Prevent PDFNet from accessing the network to download missing fonts. It may still use previously downloaded fonts (which are cached on disk).

## ◆ EnableDownloads()

void pdftron::PDF::WebFontDownloader::EnableDownloads | ( |  | ) |
| static

Allow PDFNet to access the network to download missing fonts when possible.

## ◆ IsAvailable()

bool pdftron::PDF::WebFontDownloader::IsAvailable | ( |  | ) |
| static

Find out whether the web font downloader is available in version of PDFNet.

Returns
  returns true if web font downloading can be done.

## ◆ PreCacheAsync()

void pdftron::PDF::WebFontDownloader::PreCacheAsync | ( |  | ) |
| static

download and cache a base collection of fonts in a background thread. Will not do anything if downloading is currently disabled.

## ◆ SetCustomWebFontURL()

void pdftron::PDF::WebFontDownloader::SetCustomWebFontURL | ( | UString | url | ) |
| static

Set the root path into which the web font downloader will make requests. Http paths are not allowed.

Parameters

  url | – The root path into which the web font downloader will make requests.

The documentation for this class was generated from the following file:

- PDF/WebFontDownloader.h